Bug 974537 - SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'bind' accesses on the netlink_socket .
SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'bind' accesses on ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:20c929558e47fccb0b2dbe2963e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 07:29 EDT by sabugiense
Modified: 2013-10-25 09:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:16:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sabugiense 2013-06-14 07:29:14 EDT
Description of problem:
SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'bind' accesses on the netlink_socket .

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If você acredita que o java deva ser permitido acesso de bind em  netlink_socket  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep java /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Objects                 [ netlink_socket ]
Source                        java
Source Path                   /usr/java/jre1.7.0_21/bin/java
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           jre-1.7.0_21-fcs.i586
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-201.fc18.i686.PAE #1 SMP Tue
                              Jun 11 20:23:05 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-06-14 08:26:37 BRT
Last Seen                     2013-06-14 08:26:37 BRT
Local ID                      2c4838cc-ef83-4d0d-9c08-e9c702515c7b

Raw Audit Messages
type=AVC msg=audit(1371209197.83:335): avc:  denied  { bind } for  pid=1972 comm="java" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=netlink_socket


type=SYSCALL msg=audit(1371209197.83:335): arch=i386 syscall=socketcall success=no exit=EACCES a0=2 a1=8d2149d0 a2=8da0d2a4 a3=8fc7f998 items=0 ppid=1905 pid=1972 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=java exe=/usr/java/jre1.7.0_21/bin/java subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: java,mozilla_plugin_t,mozilla_plugin_t,netlink_socket,bind

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t self:netlink_socket bind;

audit2allow -R
require {
	type mozilla_plugin_t;
	class netlink_socket bind;
}

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t self:netlink_socket bind;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.5-201.fc18.i686.PAE
type:           libreport
Comment 1 Daniel Walsh 2013-06-15 06:57:10 EDT
What java plugin are you running?  It might be better just to turn off the mozilla plugin protection as the alert suggests.

Note You need to log in before you can comment on or make changes to this bug.